Bug 664924 - Review Request: perl-Plack-Middleware-Test-StashWarnings - Test your application's warnings
Summary: Review Request: perl-Plack-Middleware-Test-StashWarnings - Test your applica...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 664910
Blocks: rt4-dependencies-tracker
TreeView+ depends on / blocked
 
Reported: 2010-12-22 06:10 UTC by Ralf Corsepius
Modified: 2011-01-31 19:52 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-01-31 19:51:19 UTC
mmaslano: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Ralf Corsepius 2010-12-22 06:10:48 UTC
Spec URL: http://corsepiu.fedorapeople.org/packages/perl-Plack-Middleware-Test-StashWarnings.spec
SRPM URL: http://corsepiu.fedorapeople.org/packages/perl-Plack-Middleware-Test-StashWarnings-0.04-1.fc15.src.rpm

Description:
Plack::Middleware::Test::StashWarnings is a Plack middleware component to
record warnings generated by your application so that you can test them to
make sure your application complains about the right things.

Comment 1 Marcela Mašláňová 2011-01-11 17:05:52 UTC
- rpmlint OK
- package must be named according to Guidelines OK
- spec file name must match the base package %{name} OK
- package must meet the Packaging Guidelines OK
- package must be licensed with Fedora approved license OK
- license field must match actual license OK
- text of the license in its own file must be included in %doc OK
- sources must match the upstream source OK
- package MUST successfully compile and build OK
 http://koji.fedoraproject.org/koji/taskinfo?taskID=2715113
- architecture listed in ExcludeArch MUST have a bug filed in bugzilla OK
- build dependencies must be listed in BuildRequires OK
- handle locales properly with %find_lang macro OK
- shared library files must call ldconfig in %post(un) OK
- packages must NOT bundle system libraries OK
- package must own all directories that it creates OK
- permissions on files must be set properly OK
- package must consistently use macros OK
- package must contain code, or permissable content OK
- large documentation must go in a -doc OK
- %doc must not affect the runtime of the application OK
- header files must be in a -devel package OK
- static libraries must be in a -static package OK
- library files that end in .so (without suffix) must go in a -devel OK
- devel package usually require base package OK
- packages must NOT contain any .la libtool archives OK
- GUI applications must include a %{name}.desktop file OK
- packages must not own files or directories already owned by other packages OK

You should create a bug for:
Checking if your kit is complete...
Warning: the following files are missing in your kit:
        xt/synopsis.t
Please inform the author.

rpm -q --provides perl-Plack-Middleware-Test-StashWarnings
perl(Plack::Middleware::Test::StashWarnings) = 0.04
perl-Plack-Middleware-Test-StashWarnings = 0.04-1.fc15
rpm -q --requires perl-Plack-Middleware-Test-StashWarnings
perl >= 0:5.008_001
perl(:MODULE_COMPAT_5.12.2)  
perl(Carp)  
perl(Storable)  
perl(parent)  
perl(strict)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1

Comment 2 Ralf Corsepius 2011-01-20 13:51:05 UTC
(In reply to comment #1)
> Warning: the following files are missing in your kit:
>         xt/synopsis.t
Done - You should have received a BCC:'ed copy of the mail I sent.

Besides this, this warning is harmless and can safely ignored.

Comment 3 Marcela Mašláňová 2011-01-20 15:34:04 UTC
Yes, it is harmless. I've already accepted your review.

Comment 4 Ralf Corsepius 2011-01-20 15:55:08 UTC
(In reply to comment #3)
> I've already accepted your review.
Ah OK, thanks, again - I couldn't spot any "APPROVED" in the text and missed the "fedora-review+" flag (The corresponding mail seems to have gone lost in the flood of VCS-mails I am currently receiving).


New Package SCM Request
=======================
Package Name: perl-Plack-Middleware-Test-StashWarnings
Short Description: Test your application's warnings
Owners: corsepiu
Branches: f13 f14
InitialCC: perl-sig

Comment 5 Jason Tibbitts 2011-01-21 14:01:32 UTC
Git done (by process-git-requests).

Comment 6 Ralf Corsepius 2011-01-22 10:38:22 UTC
Package built for f15 - f13 and f14 are stuck waiting for Fedora QA's 
delay queue to release other packages this package depends upon.

Comment 7 Fedora Update System 2011-01-23 05:06:30 UTC
perl-Plack-Middleware-Test-StashWarnings-0.04-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-Plack-Middleware-Test-StashWarnings-0.04-1.fc13

Comment 8 Fedora Update System 2011-01-23 05:06:36 UTC
perl-Plack-Middleware-Test-StashWarnings-0.04-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Plack-Middleware-Test-StashWarnings-0.04-1.fc14

Comment 9 Fedora Update System 2011-01-23 20:25:49 UTC
perl-Plack-Middleware-Test-StashWarnings-0.04-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Plack-Middleware-Test-StashWarnings'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/perl-Plack-Middleware-Test-StashWarnings-0.04-1.fc14

Comment 10 Fedora Update System 2011-01-31 19:51:14 UTC
perl-Plack-Middleware-Test-StashWarnings-0.04-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-01-31 19:52:36 UTC
perl-Plack-Middleware-Test-StashWarnings-0.04-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.